Links: Next Previous Up Top

# What do I do with an `SGMLS_Notation`?

The fourth data class is the notation, which is available only as a return value from the `notation` method of an `SGMLS_Entity` or the `value` method of an `SGMLS_Attribute` with type `'NOTATION'`. You can use the notation to decide how to treat non-SGML data (such as graphics). An object belonging to the `SGMLS_Notation` class will have access to the methods listed in table 6.

### Table 6: The `SGMLS_Notation class`

Method
  `name`
Return Type
  string
Description
  The notation's name.

Method
  `sysid`
Return Type
  string
Description
  The notation's system identifier.

Method
  `pubid`
Return Type
  string
Description
  The notation's public identifier.

What you do with this information is entirely up to you.

Links: Next Previous Up Top